Partners
Create partner
Create a new partner
POST
/
api
/
v1
/
partners
Create partner
curl --request POST \
--url https://api.capedigital.co.ke/commercial/api/v1/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"partner_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"industry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"services_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contacts": [
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"status": "<string>",
"metadata": "<unknown>"
}
'import requests
url = "https://api.capedigital.co.ke/commercial/api/v1/partners"
payload = {
"name": "<string>",
"partner_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"industry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"services_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"contacts": [
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"status": "<string>",
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
partner_type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
industry_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
services_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
contacts: [{name: '<string>', email: 'jsmith@example.com', phone: '<string>'}],
status: '<string>',
metadata: '<unknown>'
})
};
fetch('https://api.capedigital.co.ke/commercial/api/v1/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "XYZ Agency",
"partner_type": {
"id": "uuid",
"name": "Agency"
},
"industry": {
"id": "uuid",
"name": "Advertising"
},
"status": "active",
"services": [
{
"id": "uuid",
"name": "TV Advertising"
}
],
"contacts": [
{
"id": "uuid",
"name": "Alice Wambui",
"email": "alice@xyz.co.ke",
"phone": "+254711000000",
"preferred_contact_method": "email"
}
],
"created_at": "2024-01-10T08:00:00Z",
"updated_at": "2024-01-10T08:00:00Z"
}Authorizations
Enter your JWT token in the format: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Partner company name
Required string length:
1 - 200Minimum array length:
1Show child attributes
Show child attributes
Current partner status
Required string length:
1 - 20Additional flexible metadata
Response
201 - application/json
Partner company name
Maximum string length:
200Show child attributes
Show child attributes
Current partner status
Maximum string length:
20Additional flexible metadata
⌘I
Create partner
